cherrypy3 (18.10.0-3) unstable; urgency=medium

  * Team upload.
  * Fix janitor changelog editign glitch
  * Drop "Rules-Requires-Root: no": it is the default now
  * Use dh-sequence-python3
  * Drop extraneous Priority: tag
  * Rewrite d/watch in v5 format
  * Disable useless Salsa CI jobs
  * Do not generate a useless dependency on python3-importlib-metadata

 -- Alexandre Detiste <tchet@debian.org>  Tue, 10 Mar 2026 21:55:13 +0100

cherrypy3 (18.10.0-2) unstable; urgency=medium

  * Team upload.
  * d/patches: updated metadata
  * Cherry-pick patch from upstream to support the new cheroot release.
  * Standards-Version: 4.7.3 (routine-update)
  * Update lintian override info format in
    d/python3-cherrypy3.lintian-overrides on line 2-3, 5.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 08 Jan 2026 21:14:45 +0100

cherrypy3 (18.10.0-1) unstable; urgency=medium

  * New upstream version 18.10.0. (Closes: #1082285)
  * Watch: switch from pypi.python.org to github tags.
  * Control: bump Standards-Version to 4.7.0 (from 4.6.2; no further
    changes).
  * Copyright: bump year for packaging.
  * Patches: remove fuzz.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 19 Sep 2024 17:45:07 +0000

cherrypy3 (18.9.0-2) unstable; urgency=medium

  * Demote the dependency on python3-objgraph from recommended to
    suggested. (Closes: #1060041)

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 05 Jan 2024 09:25:47 +0000

cherrypy3 (18.9.0-1) unstable; urgency=medium

  * New upstream version 18.9.0
  * Patches: remove 0013, 0014, 0015; merged upstream.
  * Control: add build-deps on python3-objgraph, python3-routes,
    python3-simplejson, and pybuild-plugin-pyproject.
  * Rules: modify pybuild after test handling to avoid installing logs
    and similar files generated during the on-build test run.
  * Tests: update deps to match changes to build-deps.
  * Control: remove build-dep on python3-mock.
  * Tests: add depend on setuptools, needed for distutils in
    test/test_session.py.
  * Control: mark assorted build-deps !nocheck resp. !nodoc.
  * Control: add recommended dep on python3-objgraph, optional import in
    cherrypy/lib/gctools.py.

 -- Jeroen Ploemen <jcfp@debian.org>  Fri, 15 Dec 2023 10:10:02 +0000

cherrypy3 (18.8.0-4) unstable; urgency=medium

  * Clean: add docs/pkg/*.rst. (Closes: #1043848)
  * Patches: add 0015 to ensure compatibility with Python 3.12.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 08 Nov 2023 09:53:54 +0000

cherrypy3 (18.8.0-3) unstable; urgency=medium

  * Patches: add 0014, backport of upstream commit to add sphinx6
    compatibility. (Closes: #1042644)
  * Control: bump Standards-Version to 4.6.2 (from 4.6.1; no further
    changes).
  * Lintian: compensate for changes in override format.

 -- Jeroen Ploemen <jcfp@debian.org>  Wed, 09 Aug 2023 12:21:55 +0000

cherrypy3 (18.8.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info format in d/python3-cherrypy3.lintian-overrides
    on line 3.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 16:09:20 +0000

cherrypy3 (18.8.0-1) unstable; urgency=medium

  * New upstream version 18.8.0
  * Copyright: update packaging year, update upstream entries to use
    their new .dev domain.
  * Patches:
    + refresh 0007, 0012.
    + add 0013 to work around docs build failure.
  * Tests: disable test_file_stream (flaky but marked xfail).
  * Control: bump Standards-Version to 4.6.1 (from 4.6.0; no changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 17 Jul 2022 21:38:59 +0000

cherrypy3 (18.6.1-4) unstable; urgency=medium

  * Patches: add 0012 to prevent mere warnings from causing test
    failures. (Closes: #1002333)

 -- Jeroen Ploemen <jcfp@debian.org>  Tue, 28 Dec 2021 15:45:54 +0000

cherrypy3 (18.6.1-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Fix day-of-week for changelog entry 0.9-1.

  [ Jeroen Ploemen ]
  * Control: update upstream homepage.
  * Patches: remove 0011 (pytest was updated).
  * Control, tests: remove (build)-dep on python3-pytest-services (only
    needed when running tests using memcached).
  * Rules: remove handling of 'filterwarnings' from test arguments.
    (Closes: #997372)

 -- Jeroen Ploemen <jcfp@debian.org>  Sun, 24 Oct 2021 16:59:46 +0000

cherrypy3 (18.6.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump Standards-Version to 4.6.0 (from 4.5.1; no further changes).

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 19 Aug 2021 10:14:32 +0000

cherrypy3 (18.6.1-1) experimental; urgency=medium

  * New upstream release.
  * Patches:
    + refresh 0001, 0006, 0009 (fuzz removal only).
    + add 0011 to disable pytest.PytestUnraisableExceptionWarning
      filters.
  * Control: add build-dep on python3-sphinxcontrib.apidoc.
  * Rules: add '-m "not filterwarnings"' to prevent pytest from failing
    with "warnings._OptionError: unknown warning category:
    'pytest.PytestUnraisableExceptionWarning'"; to be removed when
    Debian's pytest has been updated to a sufficiently new version.

 -- Jeroen Ploemen <jcfp@debian.org>  Thu, 08 Jul 2021 13:33:36 +0000

cherrypy3 (18.6.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    + fixes loading configuration file. (Closes: #962322)
  * Control:
    + bump compat level to 13, Standards-Version to 4.5.1.
    + mark all binary packages Multi-Arch: foreign; patch courtesy of
      Helmut Grohne. (Closes: #973835)
    + use https for upstream homepage.
    + add build-deps on python3-path, -pytest-services and -requests
      -toolbelt (for tests only); python3-cheroot, -jaraco.collections,
      -more-itertools, -portend and -zc.lockfile (for both tests and
      docs); and python3-alabaster (docs only).
    + mark existing build-deps on python3-{mock,pytest} as <!nocheck>.
    + remove build-dep on python3-nose (unused), python3-coverage (not
      for us).
    + add myself to uploaders.
    + set Rules-Requires-Root: no.
  * Rules:
    + modernize, run custom commands verbose.
    + re-enable the testsuite during build.
    + remove commented pytest-nose stanza.
  * Copyright:
    + bump years for upstream and packaging.
    + remove entry for cherrypy/lib/httpauth.py, file no longer shipped.
    + add entry for manpage (public domain).
    + add myself as a copyright holder for the packaging.
  * Patches:
    + refresh 0001, 0003 to match upstream changes.
    + remove 0002, 0004, 0005: no longer needed (merged upstream or only
      relevant for Python2).
    + extend patch 0001 to also cover jaraco.packaging.sphinx.
    + add 0006: exclude python_2_eol.html from docs.
    + add 0007: remove cov options from pytest.ini.
    + add 0008: fix docs/history.rst include.
    + add 0009: disable privacy breaches.
    + add 0010: fix apostrophe in manpage.
  * Clean: add .test-results/*/*.xml.
  * Links: add image links to avoid installing duplicate files in -doc.
  * Lintian:
    + override application-in-library-section and library-package-name-
      for-application, the package is primarily a library.
    + override repeated-path-segment, false positive.
  * d/README.Source: remove, no longer needed.
  * Tests: replace python3-cherrypy3 (didn't test as-installed package),
    with upstream-testsuite.
  * Watch: bump version to 4 (from 3; no further changes).
  * Docs: install scaffold/ into -doc package.

 -- Jeroen Ploemen <jcfp@debian.org>  Sat, 10 Apr 2021 16:47:36 +0000

cherrypy3 (8.9.1-8) unstable; urgency=medium

  * Add patch 0005: replace removed threading.Thread.isAlive() method
    with is_alive(). Closes: #983754

 -- JCF Ploemen (jcfp) <linux@jcf.pm>  Mon, 01 Mar 2021 18:19:50 +0000

cherrypy3 (8.9.1-7) unstable; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Antonio Terceiro ]
  * debian/rules: ship test files (Closes: #970519)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 14 Oct 2020 12:31:32 -0300

cherrypy3 (8.9.1-6) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #936296, #941135

 -- Sandro Tosi <morph@debian.org>  Sun, 19 Jan 2020 00:06:12 -0500

cherrypy3 (8.9.1-5) unstable; urgency=medium

  * Re-introduce the Python 2 package, because Calibre isn't ready and needs
    this package.
  * Do not add objgraph as build-depends, as it seems the package can cope
    fine without it.

 -- Thomas Goirand <zigo@debian.org>  Mon, 14 Oct 2019 14:29:14 +0200

cherrypy3 (8.9.1-4) unstable; urgency=medium

  * Rebuild source-only.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2019 09:24:15 +0200

cherrypy3 (8.9.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Carl Suster ]
  * d/control: Remove myself from Uploaders

  [ Thomas Goirand ]
  * Team upload.
  * Removed Python 2 support (Closes: #936296).
  * Removed version in python3-routes depends, satisfied in Buster.
  * Removed Breaks+Replaces: python-cherrypy3 (<< 8.9.1-1) after Buster was
    released.
  * Bump Standards-Version to 4.4.0 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2019 09:14:27 +0200

cherrypy3 (8.9.1-2) unstable; urgency=medium

  Upload to unstable (no complains came up && it passed my own smoke tests).
  * [6ccf4e9] rules: Minor line cosmetics.
  * [391e4a0] Add README.source: Notes about test suite and upstream >= 9.
  * Bug fix: "please make the build reproducible", thanks to Sascha
    Steinbiss (Closes: #827313). No explicit change, however 8.9.1-1
    tested reproducible by QA.

 -- Stephan Sürken <absurd@debian.org>  Tue, 23 Jan 2018 16:30:49 +0100

cherrypy3 (8.9.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Carl Suster ]
  * New upstream release (Closes: #828942, #801496).
  * Add myself to uploaders.
  * d/patches:
    - 00_supress_profiler_warning.diff: delete since profiler is included
      in Debian python packages now (Closes: #460616).
    - 01_cherryd_location_fix.diff: delete since this is instead handled with
      the test suite configuration in d/rules.
    - 02_issue_1328.diff, 03_issue_1199.diff, 04_issue_1315.diff:
      delete since these issues have now been fixed upstream.
    - Add 0001-disable-sphinx-rst.linker-extension.patch to work around a
      harmless B-D on an unpackaged sphinx extension.
    - Add 0002-use-mock.mock-instead-of-unittest.mock.patch to use the
      Debian-packaged version of the unittest.mock backport to Python 2.
    - Add 0003-disable-test_antistampede.patch to skip a test which would run
      for a long time if it fails. Either this or upstream changes make the
      test suite run quickly now (Closes: #785647).
    - Add 0004-unrepr-also-from-__builtin__.patch to fix a Python 2-only test
      failure pending more thorough investigation.
  * Remove d/README.Debian (it described the previous profiler situation).
  * Remove d/README.source (it described the pre-DPMT workflow).
  * d/control:
    - Run wrap-and-sort -abst.
    - Bump standards version to 3.9.8 (no changes).
    - Add missing B-Ds on:
      python-coverage and python3-coverage,
      python-mock and python3-mock,
      python-objgraph and python3-objgraph,
      python-pytest and python3-pytest,
      python-setuptools-scm and python3-setuptools-scm,
    - Add missing Recommends on:
      python-openssl and python3-openssl,
      python-routes and python3-routes (was Depends),
      python-simplejson and python3-simplejson,
    - Remove old autopkgtest XS-Testsuite header.
    - Make the package descriptions different.
  * d/rules:
    - LICENSE.{ txt => md }.
    - Install executables in /usr/bin instead of /usr/sbin.
    - Also generate manpage for cherryd3 with help2man.
    - Only install the tutorial in the -doc package.
  * d/docs: README.{ txt => rst }.
  * Raise debhelper compat to 10:
    - replace override_dh_clean with d/clean.
  * d/source/options (extend-diff-ignore) and d/clean:
    - add .egg-info.
    - add files created by test suite.
  * d/copyright: update to DEP-5 format and extend years.
  * Replace epydoc API docs with sphinx docs in a -doc package:
    - d/control: add a -doc binary package (Closes: #787756).
    - d/control: drop B-D-I on python-epydoc (helps with #827313).
    - replace d/python-cherrypy3{ .doc-base.api => -doc.doc-base }.
    - d/rules: remove epydoc overrides and add for sphinx instead.
    - remove d/python-cherrypy3.install which was for epydoc files.
    - also install the rst files as txt documentation.
  * Remove broken tutorial link from d/python-cherrypy3.install
    (Closes: #781349).
  * Remove outdated d/NEWS.
  * Enable test suite using pybuild (or nosetests) and don't install it.
  * Install tutorial as documentation with d/python-cherrypy3-doc.docs.

  [ Stephan Sürken ]
  * New upstream: 8.9.1
  * [b3dfbc3] control: b-d on python*3*-sphinx (Fixes lintian/build-
    depends-on-python-sphinx-only).
  * [bfc0916] control/rules: Use cherryd man page from upstream again
    (seems to have been revived as man/cherryd.1).
  * [10d7339] rules: sphinx: Explicitly use py3 sphinx-build script (fixes
    import errors when py2-sphinx is istalled as well).
  * [c8ad646] rules: testsuite: Ignore test suite failures for now, and
    add some notes.
  * [07ecdbc] control: Update to Stds-Ver 4.1.1: Update Format-URL in
    copyright to https.
  * [05ef63c] control: Add myself to uploaders.
  * [5de3a00] control: p-c-doc: Add missing Breaks/replaces after doc
    split.

 -- Stephan Sürken <absurd@debian.org>  Sun, 26 Nov 2017 21:21:00 +0100

cherrypy3 (3.5.0-2) unstable; urgency=medium

  * debian/control:
  - set team as maintainer

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 01 Dec 2014 14:24:00 -0200

cherrypy3 (3.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * d/patches:
    - 02_compat.diff: This was previously removed from the quilt stack
      but not from svn.  That's now done.
    - 02_issue_1328.diff, 03_issue_1199.diff, 04_issue_1315.diff:
      Added to work around DEP-8 test failures.

 -- Barry Warsaw <barry@debian.org>  Mon, 30 Jun 2014 17:19:47 -0400

cherrypy3 (3.3.0-1) unstable; urgency=medium

  * Team upload.

  [ Jackson Doak ]
  * debian/rules: Move cherryd to /usr/sbin/ where it belongs
  * debian/control, debian/tests/: Add autopkgtest. Thanks Chuck Short
  * debian/control: Add missing depends on python-routes. LP: #463065

  [ Barry Warsaw ]
  * New upstream version.
    - Closes: #494342
  * debian/control: Bump Standards-Version to 3.9.5 with no other
    changes necessary.
  * Rebuild drops dependency on python3.3.  Closes: #751642
  * debian/watch: Updated to point to PyPI page.
  * debian/rules: Temporarily make cherrypy/cherryd executable so
    help2man can extract the --help text.
  * debian/patches:
    - 00_supress_profiler_warning.diff: Refreshed.
    - 01_cherryd_location_fix.diff: Refreshed.
    - 02_compat.diff: Removed; applied upstream.  Closes: #722671

 -- Barry Warsaw <barry@debian.org>  Tue, 17 Jun 2014 18:37:53 -0400

cherrypy3 (3.2.2-4) unstable; urgency=low

  * Team upload.
  * Switch to "3.0 (quilt)" source, to actually apply patches.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 20 Sep 2013 20:23:21 +0100

cherrypy3 (3.2.2-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.
  * Drop obsolete Conflicts with python2.3-cherrypy and python2.4-cherrypy.
  * Fix a typo in README.Debian.

  [ Dmitrijs Ledkovs ]
  * Team upload
  * Add python3 package (Closes: #714403)

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Sun, 08 Sep 2013 20:54:01 +0100

cherrypy3 (3.2.2-2) unstable; urgency=low

  * Team upload.
  * Set PYTHONPATH when running help2man (closes: #655166). Thanks to Stéphane
    Graber for the bug report and for the patch.

 -- Jakub Wilk <jwilk@debian.org>  Wed, 08 Feb 2012 22:39:13 +0100

cherrypy3 (3.2.2-1) unstable; urgency=low

  [ JCF Ploemen ]
  * New upstream release (Closes: #571196).
  * Bumped Standards-Version to 3.8.4 (no changes needed).
  * Removing patch 02: no longer needed, incorporated upstream.
  * Updating patch 00 to match release.
  * Install cherryd man page via debian/manpages.
  * debian/copyright:
    + Added notice for cherrypy/lib/httpauth.py.
    + Fixed years.
  * debian/watch:
    + Don't hit on the -py3 release by blocking '-' from the version.
    + Mangle upstream version, inserting a tilde for beta/rc.

  [ Stéphane Graber <stgraber@ubuntu.com> ]
   * Convert from python-support to dh_python2 (#654375)
    - debian/pyversions: Removed (no longer needed)
    - debian/rules
     + Replace call to dh_pysupport by dh_python2
     + Add --with=python2 to all dh calls
    - debian/control
     + Drop build-depends on python-support
     + Bump build-depends on python-all to >= 2.6.6-3~
     + Replace XS-Python-Version by X-Python-Version
     + Remove XB-Python-Version from binary package

  [ Gustavo Noronha ]
  * debian/control, debian/rules, debian/manpages:
   - use help2man to generate a manpage for cherryd at build time, since
    one is no longer shipped along with the source code
  * debian/control:
  - add python-nose to Build-Depends, since it's used during the
    documentation build for cross-reference generation

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 06 Jan 2012 10:13:27 -0200

cherrypy3 (3.1.2-1) unstable; urgency=low

  * New upstream release (Closes: #528473)
  * debian/rules:
  - use the quilt make include file instead of using custom code; should
    make the package convertable to the new quilt source format
    (Closes: #538677)
  * debian/control:
  - updated Standards-Version with no changes
  * debian/python-cherrypy3.links:
  - fix link to point to the new place where python-support installs files

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 15 Aug 2009 14:52:43 -0300

cherrypy3 (3.1.1-3) unstable; urgency=low

  [ Bernd Zeimetz ]
  * debian/rules: Fixed to work with dh >= 7.3.5 which will build with all
    installed Python versions.
  * debian/control: Replace the python-all-dev Build-Dep by python-all.
    Cherrypy doesn't build extensions, so we don't need the C headers.

 -- Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>  Tue, 21 Jul 2009 11:04:48 +0200

cherrypy3 (3.1.1-2) unstable; urgency=low

  * Making lintian happy release
  - uploading to unstable
  * debian/control:
  - added ${misc:Depends} to python-cherrypy3's Depends line
  * debian/rules, debian/control:
  - use debhelper 7 instead of cdbs; this rework also makes our
    installation process stop depending on python-support locations
    (Closes: #516144)
  - use quilt for patches
  * debian/README.source:
  - added, to document usage of quilt
  * debian/rules:
  - remove aditional LICENSE.txt file that is being installed
  * debian/rules, debian/python-cherrypy3.dirs, debian/python-cherrypy3.links,
    debian/patches/01_cherryd_location_fix.diff:
  - don't move the tutorial module to the documentation directory, since
    the cherrypy test structure, which is useful, actually wants to have
    it where it is; move the cherryd utility to /usr/sbin; the patch fixes
    where the tests want to run cherryd from
  * debian/python-cherrypy3.doc-base.api:
  - fixed manual section
  * debian/source.lintian-overrides:
  - removed; no longer needed

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 22 Feb 2009 14:20:28 -0300

cherrypy3 (3.1.1-1) experimental; urgency=low

  [ Gustavo Noronha Silva ]
  * New upstream version
  * debian/patches/03_CVE-2008-0252.diff:
  - removed; applied upstream
  * debian/control:
  - remove -1 from build-dependency
  - upgrade Standards-Version to 3.8.0, with no further changes

  [ Sandro Tosi ]
  * debian/control
    - switch Vcs-Browser field to viewsvn

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 01 Oct 2008 08:21:45 -0300

cherrypy3 (3.0.2-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * Vcs-Browser and Homepage fields added
  * Rename XS-Vcs-Svn to Vcs-Svn

  [ Sandro Tosi ]
  * debian/control
    - fix Vcs-Browser field

  [ Gustavo Noronha Silva ]
  * This update addresses the following security issue:
    - Directory traversal vulnerability in the _get_file_path function
      in filter/sessionfilter.py allows remote attackers to create or
      delete arbitrary files, and possibly read and write portions of
      arbitrary files, via a crafted session id in a cookie
      (CVE-2008-0252).
  * debian/control:
  - updated standards-version to 3.7.3; no changes

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 24 Jan 2008 14:30:48 -0200

cherrypy3 (3.0.2-1) unstable; urgency=low

  * New upstream release
  * debian/rules:
  - call epydoc with full-name arguments; thanks to Cyril Brulebois
    <cyril.brulebois@enst-bretagne.fr> for providing the fix.
    (Closes: #433904)
  * debian/python-cherrypy3.doc-base.api:
  - fix HTML files location

 -- Gustavo Noronha Silva <kov@debian.org>  Thu, 09 Aug 2007 21:14:40 -0300

cherrypy3 (3.0.1-2) unstable; urgency=low

  [ Piotr Ożarowski ]
  * New python-support handles egg's directory name correctly
    - bump python-support required version
    - remove mv part from debian/rules
    (Closes: #423749)

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 19 May 2007 17:01:51 -0300

cherrypy3 (3.0.1-1) unstable; urgency=low

  * New upstream release
  * debian/watch:
  - updated to understand the new layout of the new download
    source for CherryPy
  * debian/rules:
  - I heartly agree with Sam Clegg on this; the tutorial should be
    in /usr/share/doc/python-cherrypy3, not inside the Python package
    namespace (Closes: #415526)
  * debian/control:
  - updated python-support and python-all-dev version requirements
    and moved them to build-deps because they are needed on clean
  * debian/control, debian/rules, debian/python-cherrypy3.doc-base.api,
    debian/python-cherrypy3.install:
  - build API documentation as a step in the package build and install
    it; this uses epydoc

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 21 Apr 2007 14:40:09 -0300

cherrypy3 (3.0.0-1) unstable; urgency=low

  * New upstream release
  * debian/control:
  - updated for the new source and binary packages names
  - conflict with python-cherrypy
  - add source information for new python policy
  * debian/pyversions:
  - added; was missing
  * debian/README.Debian:
  - document that this version of CherryPy is incompatible with
    2.2, and where to find the upgrade instructions
  * debian/rules, debian/source.lintian-overrides:
  - updated for the new package name
  * debian/rules:
  - cleaning up for newer cdbs version
  * debian/patches/00_supress_profiler_warning.diff:
  - updated for the new version

  * Piotr Ozarowski <ozarow@gmail.com>:
  - Added XS-Vcs-Svn field

 -- Gustavo Noronha Silva <kov@debian.org>  Mon,  8 Jan 2007 22:51:47 -0200

python-cherrypy (2.2.1-3) unstable; urgency=low

  * debian/rules, debian/control:
  - updated to follow the new Python Policy, build-depending on the
    newest versions of cdbs, python-support and debhelper
    (Closes: #373517)
  * debian/python-cherrypy.{postinst,prerm}:
  - removed; generated by python-support

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  4 Jun 2006 23:50:37 -0300

python-cherrypy (2.2.1-2) unstable; urgency=low

  * debian/patches/02_eggify.diff:
  - fixed to only patch setup.py, so that it imports setup
    from setuptools instead of distutils; ez_setup is not
    needed
  * debian/patches/00_supress_profiler_warning.diff:
  - stop warning about the profiler module not being packaged
    in the main python distribution; that is documented in
    README.Debian
  * debian/control:
  - move python and python-setuptools to Build-Depends,
    since they are needed at the clean target
  * debian/watch:
  - new uscan support file, using the sf.net trick

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  4 Jun 2006 23:44:26 -0300

python-cherrypy (2.2.1-1) unstable; urgency=low

  * debian/patches/*:
  - renamed to have numbers defining the order in which they
    should be applied
  * debian/README.Debian:
  - added, documenting the Python profiler only being available
    in a non-free package problem
  * debian/rules, debian/python-cherrypy.{postinst,prerm}:
  - install py files to the python-cherrypy instead of cherrypy
    for python-support; using the package name is the correct,
    documented way of doing it.
  * debian/patches/01_auto-reload-with-python-support.diff:
  - removed because python-support >= 0.2, which I depend upon
    provides symlinks for the .py files;
  * debian/control:
  - depend on python-support >= 0.2; see above
  - Standards-Version to 3.7.2, no changes

 -- Gustavo Noronha Silva <kov@debian.org>  Sat, 13 May 2006 17:06:10 -0300

python-cherrypy (2.2.0-3) unstable; urgency=low

  * Upload to unstable (duh)

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  4 May 2006 00:25:21 -0300

python-cherrypy (2.2.0-2) experimental; urgency=low

  * debian/source.lintian-overrides:
  - this package needs debhelper and cdbs for the clean target
    to be run
  * debian/control:
  - increased Standards-Version to 3.7 with no changes
  * debian/rules:
  - use --install-lib instead of moving stuff manually
  - also install tutorial and test using --install-data

 -- Gustavo Noronha Silva <kov@debian.org>  Thu,  4 May 2006 00:00:28 -0300

python-cherrypy (2.2.0-1) unstable; urgency=low

  * New upstream release
  * debian/control, debian/rules:
  - no longer provides the transition packages for cherrypy2.1
  * debian/patches/auto-reload-with-python-support.diff:
  - updated for the new version
  * debian/control:
  - moved cdbs and debhelper to Build-Depends
  * debian/rules:
  - removed the code to auto-generate the Uploaders field, since
    it will not be used
  - fix the arguments passed to dh_compress so .py and .pdf files
    are actually not compressed

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 23 Apr 2006 10:08:43 -0300

python-cherrypy (2.1.1-3) unstable; urgency=low

  * Python Modules Team upload
  * debian/control:
  - added the team in Uploaders field
  * debian/rules:
  - install the egg info without the python version in the name of
    the directory
  * debian/NEWS.Debian -> debian/NEWS:
  - renamed so debhelper will take care of installing it;
    (Closes: #362039).

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 16 Apr 2006 16:56:12 -0300

python-cherrypy (2.1.1-2) unstable; urgency=low

  * Debian revision with source package name change
  * changed source package name back to something more generic, since
    it seems like there won't be compatibility breakage again anytime
    soon
  * use python-support
  * debian/patches/eggify.diff:
  - add patch to provide EGG-INFO stuff, so that packages that depend
    on that information, such as TurboGears, will be able to use
    CherryPy
  * debian/patches/auto-reload-with-python-support.diff:
  - auto-reload doesn't like the .py files to be in a different path as the
    pyc files; I need a better solution for this, but for now the auto-reloader
    simply ignores the files in the cherrypy distribution (which is OK, since they
    are not supposed to be modified after the package is installed).
  * debian/control:
  - build-depends on python-setup-tools >= 0.6a9-1, needed to provide the
    EGG-INFO stuff
  * debian/copyright:
  - de-wikify the authors names
  * debian/control, debian/rules:
  - add dummy transition packages for python-cherrypy2.1, and deal with what
    cdbs's python stuff likes to do when it sees lots of python${ver}-module
    packages on the control file =D
  * debian/NEWS.Debian:
  - document big changes, and that this version is incompatible with
    CherryPy 2.0

 -- Gustavo Noronha Silva <kov@debian.org>  Sun,  2 Apr 2006 12:47:52 -0300

cherrypy2.1 (2.1.1-1) unstable; urgency=low

  * SECURITY bug fix (CVE-2006-0847)
  * New upstream release fixing a security bug (Closes: #353542)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 21 Feb 2006 07:47:33 -0300

cherrypy2.1 (2.1.0-1) unstable; urgency=low

  * New backwards-incompatible version, thus new source
    package to keep both on the archive (Closes: #334933)
  * debian/control:
  - packages conflict with their 2.0 versions counterparts
  - enhanced description, mention the backwards incompatibility
    and that it's part of the Turbo Gears framework
  - changed maintainer to myself
  * debian/copyright:
  - modified downloaded from location to mention cherrypy.org instead
    of the sourceforge page
  * debian/rules:
  - avoid compressing the pdf and py files on the tutorial documentation
    directory
  - do not try to move the tutorial from unversioned site-packages
    directory since there's no tutorial in there

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 13 Nov 2005 20:24:08 -0200

python-cherrypy (2.0.0f-2) unstable; urgency=low

  * Packaging based on the work by Bob Tanner <tanner@real-time.com>
  * New Upstream Release
  * debian/control:
  - Standards-Version is now 3.6.2
  - add python to the Build-Depends (Closes: #322452)
  * debian/rules:
  - clean hack to work around cdbs bug
  * debian/changelog:
  - fixed date format on the 0.9-1 upload (Web->Wed)

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 13 Nov 2005 19:24:27 -0200

python-cherrypy (2.0.0f-1) unstable; urgency=low

  * New upstream release
  * debian/control:
  - turn all packages into Arch: all packages, as they should be
  - create packages for python2.3 and python2.4
  - Build-Depend-Indep on python2.3-dev and python2.4-dev (Closes: #306381)
  * debian/rules:
  - adapted post-install rule to work with multiple python versions
    supported

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 20 Jun 2005 16:45:45 -0300

python-cherrypy (2.0.0b-1) experimental; urgency=low

  * New upstream version. (Closes: #284511)
  - package rebuilt from scratch, changelog kept for historic
    reasons
  - comaintaince with Raphael Goulais
  * Source package name change.

 -- Gustavo Noronha Silva <kov@debian.org>  Sun, 17 Apr 2005 16:39:06 -0300

cherrypy (0.10-1) unstable; urgency=low

  * New Upstream Version

 -- Raphael Goulais <rafou@debian.org>  Mon, 26 Apr 2004 18:01:00 +0200

cherrypy (0.9-1) unstable; urgency=low

  * New Upstream Version

 -- Raphael Goulais (Rafou) <raphael@nicedays.net>  Fri, 28 Nov 2003 12:34:37 +0100

cherrypy (0.8.99rc1-1) unstable; urgency=low

  * New Upstream Version

 -- Raphael Goulais (Rafou) <raphael@nicedays.net>  Tue, 18 Nov 2003 15:03:08 +0100

cherrypy (0.8-3) unstable; urgency=low

  * Removed python2.1 and python2.3 from build depends (Closes: #192715)

 -- Raphael Goulais (Rafou) <raphael@nicedays.net>  Mon, 12 May 2003 16:12:00 +0200

cherrypy (0.8-2) unstable; urgency=low

  * White Space Policy : Changed 4 spaces to tabs in lib files
  * Removed CR/LF from most files
  * Backported python2.3 fixes from CVS
  * Removed doc sources from cherrypy-doc
  * Modified doc/Makefile (more targets, added clean)
  * Regenerated html doc with png images instead of gif

 -- Raphael Goulais (Rafou) <raphael@nicedays.net>  Wed, 16 Apr 2003 21:29:00 +0200

cherrypy (0.8-1) unstable; urgency=low

  * Initial Release (Closes: #188144)

 -- Raphael Goulais (Rafou) <raphael@nicedays.net>  Tue, 08 Apr 2003 15:20:00 +0200
